import numpy
import pylab
import string
import math

excessPathLogFilePath = '../data/GB001/parsed/GB001_MeanExcessPath.log'
pointErrorLogFilePath = '../data/GB001/parsed/GB001_MeanPointingError.log'

file = open(excessPathLogFilePath, 'r')

x = []
y = []
while(1):
    try:
        words = string.split(file.next().strip())
        x.append(words[0])
        y.append(words[1])
        
    except StopIteration:
        print 'End of file reached'
        break
    
x_ = [int(i) for i in x]
y_ = [float(i) for i in y]

file.close()

y1 = []

file = open(pointErrorLogFilePath, 'r')
while(1):
    try:
        words = string.split(file.next().strip())
        
        if words[0].isdigit() == False:
            continue
        
        y1.append(words[1])
        
    except StopIteration:
        print 'End of file reached'
        break
file.close()

y1_ = [math.degrees(float(i)) for i in y1]

pylab.plot(x_, y_)
pylab.hold(True)  
pylab.plot(x_, y1_)

pylab.xlabel('Delivery Number')
pylab.ylabel('Mean Excess Path/Pointing Error')
pylab.title('Excess Path / Pointing Error Curve')
pylab.grid(True)
pylab.legend(('Path Error', 'Pointing Error'))
#pylab.savefig('Excess_Path_Error_Curve')

pylab.show()

